Get filter aggregation values

Get list aggreations

Returns paginated filter aggregation values. Used to populate filter dropdowns in the admin UI.

Requires authentication.

Request

POST /filter

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
sortstringNoField to sort by.
directionstringNoSort direction: asc or desc.
offsetintegerNoPagination offset.
countintegerNoNumber of results to return.

Example Request

{
  "sort": "title",
  "direction": "asc",
  "offset": 0,
  "count": 20
}

Response

Returns a paginated list of filter values.

Body Params
string

Sort by.

string

Sort direction.

integer

Offset.

integer

Return how many results.

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!